/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * KibaObject subclass to stick objects on the dock.
 **/

#ifndef __KIBA_FIXED_OBJECT_H__
#define __KIBA_FIXED_OBJECT_H__

#include <glib.h>
#include <kiba-object.h>

G_BEGIN_DECLS

typedef struct _KibaFixedObject         KibaFixedObject;
typedef struct _KibaFixedObjectClass    KibaFixedObjectClass;

#define KIBA_TYPE_FIXED_OBJECT           (kiba_fixed_object_get_type ())
#define KIBA_FIXED_OBJECT(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_FIXED_OBJECT, KibaFixedObject))
#define KIBA_FIXED_OBJECT_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_FIXED_OBJECT,  KibaFixedObjectClass))
#define KIBA_IS_FIXED_OBJECT(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_FIXED_OBJECT))
#define KIBA_IS_FIXED_OBJECT_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_FIXED_OBJECT))
#define KIBA_FIXED_OBJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_FIXED_OBJECT, KibaFixedObjectClass))

struct _KibaFixedObject {
	KibaObject  parent;
};

struct _KibaFixedObjectClass {
	KibaObjectClass parent_class;
};

GtkWidget* kiba_fixed_object_new (const char *group);

void kiba_fixed_object_set_size (KibaFixedObject *fixed_object,
			         gint             size);

G_END_DECLS

#endif
